%define name wine-av
%define version 20040914
%define release 20
%define buildroot %{_topdir}/BUILD/%{name}-buildroot

Summary: Wine release for use with Autovue Web Edition
Name: %{name}
Version: %{version}
Release: %{release}
Vendor: Oracle
Group: Applications/Emulators
Source:%{_topdir}/SOURCES/wine-av-20040914.tar.gz
BuildRoot: %{buildroot}
License: LGPL
Prefix: %{_prefix}

%description
Wine release for use with Autovue Web Edition

%prep
%setup -q

%build
FREETYPEDIR=%{_topdir}/SOURCES/freetype PATH=$FREETYPEDIR/bin:$FREETYPEDIR/lib:$PATH LDFLAGS="-L$FREETYPEDIR/lib" CFLAGS="-fexceptions -O1 -fno-builtin -I/usr/local/X11R6/include -DNDEBUG" CC="gcc" CXX="g++" ./configure --without-opengl --without-curses --disable-debug --prefix=%{buildroot}/usr/av

make main_depend && make -k

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/av
make install
python %{_topdir}/SPECS/wine_symlinks.py $RPM_BUILD_ROOT/usr/av/lib/wine

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_prefix}/*


%changelog
* Tue Dec 2 2008  <Jean-PhilippeTheriau@sjeanphilippe> -
- Performance fixes to Xrender functions
* Tue Nov 25 2008  <Jean-PhilippeTheriau@sjeanphilippe> -
- OLE fix and fixes to Xrender functions
* Thu Oct 31 2008  <Jean-PhilippeTheriau@sjeanphilippe> -
- OLE fix
* Thu Oct 24 2008  <Jean-PhilippeTheriau@sjeanphilippe> -
- Fixed issue with thread adoption
* Thu Oct 16 2008  <Jean-PhilippeTheriau@sjeanphilippe> -
- Code to allow 32 bits bitmaps in Wine, and updates to AlphaBlend
* Mon Sep 26 2008  <Jean-PhilippeTheriau@sjeanphilippe> -
- More bug fixes
* Mon Sep 03 2008  <Jean-PhilippeTheriau@sjeanphilippe> -
- Included some bug fixes
* Mon Aug 25 2008  <Jean-PhilippeTheriau@sjeanphilippe> -
- Removed dependency on libartsc.so and corrected crash bug in x11drv
* Tue Jul 29 2008  <Jean-PhilippeTheriau@sjeanphilippe> - 
- Rebuilding spec file from an old version and generalizing the build process
* Fri Jan 18 2008  <Jean-PhilippeTheriau@sjeanphilippe> - 
- Changed installed directory from /usr/lib/wine to /usr/av
* Fri Dec 07 2007  <Jean-PhilippeTheriau@sjeanphilippe> - 
- Updated the Wine sources
* Thu Sep 27 2007  <Jean-PhilippeTheriau@devrhel43> - 
- Fixed so it would install to /usr/lib/wine rather than /usr/lib/jvuew
* Thu Sep 27 2007  <Jean-PhilippeTheriau@devrhel43> - 
- Adding missing lib*.so links
* Wed Sep 26 2007  <Jean-PhilippeTheriau@devrhel43> - 
- First successful package creation
* Mon Sep 24 2007  <Jean-PhilippeTheriau@devrhel43> - 
- Initial build.

